
Redmine - Feature #16434

Automatically change the assignee when a user replies

2014-03-26 11:39 - Samuel Samfra

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues permissions Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Dear all,

I would need the following :

1) When a user U1 create an issue in the project P1, I would like to avoid him to select an assignee. It's OK, issues will have no

assignee but we'll find them. The best would be that the issue is automatically assigned to a king of project manager (I saw a plugin

which does that but I can't make it work with Redmine 2.4.x)

2) After user U2 replies to the user U1, user U1 may want to reply again.. in that situation, I would like the assignee to be

automatically sent to U2 (which is the previous assignee)

any chance to do that ?

thank you

History

#1 - 2014-03-27 13:31 - Rupesh Helwade

Samuel Samfra wrote:

Dear all,

I would need the following :

1) When a user U1 create an issue in the project P1, I would like to avoid him to select an assignee. It's OK, issues will have no assignee but

we'll find them. The best would be that the issue is automatically assigned to a king of project manager (I saw a plugin which does that but I can't

make it work with Redmine 2.4.x)

 This is possible using the Issue Categories, its built in.

2) After user U2 replies to the user U1, user U1 may want to reply again.. in that situation, I would like the assignee to be automatically sent to

U2 (which is the previous assignee)

 I would say,

it will be great if status is changed as user replies.

Say:

An issue is assigned to the reporter with status as "pending for Feedback

If the reporter types in the Information, he/she should not be burdened to set the status back to "Feedback" if he types in the information in the Notes

area and clicks Submit.

It would be great if this could be automatic.

I am planning to achieve this by creating MySQL trigger anyway.

#2 - 2014-04-02 14:05 - Ebrahim Mohammadi

Does https://github.com/dkuk/auto_fields help?
